var deviceToken = "";

function getDeviceToken(deviceTokenFromAPK)
{
	console.log("Device Token 1st = "+deviceToken);
	deviceToken = deviceTokenFromAPK;
	console.log("Device Token 2nd = "+deviceToken);
}

var JSPlugin = new function() {

	this.ready = function()
    {
        if (typeof JSBridgePlugin !== 'undefined')
        {
            console.log(JSBridgePlugin);
            JSBridgePlugin.ready();
        }
    }
	
    this.showToast = function(msg) {
        console.log("TEST");
		if (deviceToken != "")
		{
	       JSBridgePlugin.showToast(deviceToken);
	       console.log("deviceToken", deviceToken);
        //    document.getElementById("DeviceToken").value = deviceToken;
        //    document.getElementById("DeviceID").value = deviceToken;
		}
       };
};